diff -pruN 0.7-9.1/debian/changelog 0.7-10/debian/changelog
--- 0.7-9.1/debian/changelog	2024-02-29 08:44:16.000000000 +0000
+++ 0.7-10/debian/changelog	2024-04-03 17:17:52.000000000 +0000
@@ -1,3 +1,13 @@
+libast (0.7-10) unstable; urgency=medium
+
+  * QA upload.
+  * Fix building with -Werror=implicit-function-declaration.
+    (Closes: #1066437)
+  * Set Rules-Requires-Root: no.
+  * Whitespace and redundancy cleanup.
+
+ -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2024 19:17:52 +0200
+
 libast (0.7-9.1) unstable; urgency=medium
 
   * Non-maintainer upload.
@@ -109,7 +119,7 @@ libast (0.6-0pre2003010606) unstable; ur
 
 libast (0.6-0pre2003010605) unstable; urgency=low
 
-  * change -dev to section libdevel 
+  * change -dev to section libdevel
 
  -- Laurence J. Lane <ljlane@debian.org>  Wed, 10 Sep 2003 06:10:41 -0400
 
@@ -134,7 +144,7 @@ libast (0.6-0pre2003010602) unstable; ur
 
 libast1 (0.5-0pre2003010601) unstable; urgency=low
 
-  * CVS snapshot 
+  * CVS snapshot
 
  -- Laurence J. Lane <ljlane@debian.org>  Tue,  7 Jan 2003 04:35:33 -0500
 
@@ -155,13 +165,13 @@ libast1 (0.5-0pre2002111701) unstable; u
 
 libast1 (0.4-3) unstable; urgency=low
 
-  * config.{sub,guess} update, closes: #11985 
+  * config.{sub,guess} update, closes: #11985
 
  -- Laurence J. Lane <ljlane@debian.org>  Fri, 16 Nov 2001 15:05:53 -0500
 
 libast1 (0.4-2) unstable; urgency=low
 
-  * disable test program build again, closes: #118920 
+  * disable test program build again, closes: #118920
 
  -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Nov 2001 21:00:56 -0500
 
@@ -188,7 +198,7 @@ libast1 (0.3-0pre2001062602) unstable; u
 
 libast1 (0.3-0pre2001062601) unstable; urgency=low
 
-  * new CVS snapshot 
+  * new CVS snapshot
 
  -- Laurence J. Lane <ljlane@debian.org>  Tue, 26 Jun 2001 14:22:26 -0400
 
@@ -209,7 +219,7 @@ libast1 (0.3-0pre2001061301) unstable; u
 
 libast1 (0.1.0-0pre2001051703) unstable; urgency=low
 
-  * added libast1 dependency to libast1-dev 
+  * added libast1 dependency to libast1-dev
 
  -- Laurence J. Lane <ljlane@debian.org>  Wed, 30 May 2001 23:38:23 -0400
 
diff -pruN 0.7-9.1/debian/control 0.7-10/debian/control
--- 0.7-9.1/debian/control	2024-02-29 08:44:16.000000000 +0000
+++ 0.7-10/debian/control	2024-04-03 17:14:43.000000000 +0000
@@ -2,7 +2,15 @@ Source: libast
 Section: libs
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), libimlib2-dev, libxt-dev, libxt-dev, cdbs (>= 0.4.93), debhelper (>= 10), dh-autoreconf, chrpath
+Build-Depends:
+ debhelper (>= 10),
+ libimlib2-dev,
+ libxt-dev,
+ cdbs (>= 0.4.93),
+ chrpath,
+# prevent accidental backports after the 64-bit time_t transition
+ dpkg-dev (>= 1.22.5),
+Rules-Requires-Root: no
 Standards-Version: 4.0.0
 Homepage: http://www.eterm.org/
 
@@ -18,7 +26,7 @@ Description: Library of Assorted Spiffy
  LibAST is the Library of Assorted Spiffy Things.  It contains many
  spiffy things, and it is a library.  Thus, the ever-so-creative name.
  LibAST has been previously known as libmej, the Eterm helper library
- which nobody really understood and certainly never used.  The 
+ which nobody really understood and certainly never used.  The
  plan is to gradually remove some of the neat stuff from Eterm that
  could be made generic (things like the theme parsing engine, the
  command-line options parser, perhaps the event engine, ...) and place
@@ -37,7 +45,7 @@ Description: libast2t64 development file
  LibAST is the Library of Assorted Spiffy Things.  It contains many
  spiffy things, and it is a library.  Thus, the ever-so-creative name.
  LibAST has been previously known as libmej, the Eterm helper library
- which nobody really understood and certainly never used.  The 
+ which nobody really understood and certainly never used.  The
  plan is to gradually remove some of the neat stuff from Eterm that
  could be made generic (things like the theme parsing engine, the
  command-line options parser, perhaps the event engine, ...) and place
diff -pruN 0.7-9.1/debian/libast-config.3 0.7-10/debian/libast-config.3
--- 0.7-9.1/debian/libast-config.3	2011-08-25 20:07:15.000000000 +0000
+++ 0.7-10/debian/libast-config.3	2024-04-03 17:13:26.000000000 +0000
@@ -9,7 +9,7 @@ libast-config [options]
 .SH DESCRIPTION
 .HP
 .I libast-config 
-is a script that's used by make and other build enviroments to
+is a script that's used by make and other build environments to
 gather libast information.
 .HP
 Run
diff -pruN 0.7-9.1/debian/patches/missing-prototypes.patch 0.7-10/debian/patches/missing-prototypes.patch
--- 0.7-9.1/debian/patches/missing-prototypes.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.7-10/debian/patches/missing-prototypes.patch	2024-04-03 17:06:14.000000000 +0000
@@ -0,0 +1,13 @@
+Author: Andreas Beckmann <anbe@debian.org>
+Description: fix building with -Werror=implicit-function-declaration
+
+--- a/libast.m4
++++ b/libast.m4
+@@ -441,6 +441,7 @@ AC_DEFUN([dps_snprintf_oflow], [
+         AC_TRY_RUN(
+             changequote(<<, >>)dnl
+ <<#include <stdio.h>
++#include <stdlib.h>
+ 
+ #ifndef HAVE_SNPRINTF
+ #include "src/snprintf.c"
diff -pruN 0.7-9.1/debian/patches/series 0.7-10/debian/patches/series
--- 0.7-9.1/debian/patches/series	2014-10-13 18:48:03.000000000 +0000
+++ 0.7-10/debian/patches/series	2024-04-03 16:54:02.000000000 +0000
@@ -1 +1,2 @@
 m4_include.patch
+missing-prototypes.patch
